@import"https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700&amp;display=swap";
:root{
    --default-text-color: #212b37;
    --text-muted: #6e829f;
    --input-border: #dee7f1;
    --form-control-bg: #ffffff;
    --primary-color: #24265d;
    --secondary-rgb: rgb(158, 92, 247);
    --border-color: rgba(255, 255, 255, .1);
  
}

/* global box-sizing */
*,
*:after,
*:before {
	-moz-box-sizing:border-box;
	box-sizing:border-box;
	-webkit-font-smoothing:antialiased;
	font-smoothing:antialiased;
	text-rendering:optimizeLegibility;
}
/* html element 62.5% font-size for REM use */

body {
	font-family:'Poppins', Arial, Helvetica, sans-serif;
    font-size: 14px;
    color: #212b37;
    line-height: 22px;
    background: #f1f3f7;
}
/* clear */
.clear:before,
.clear:after {
    content:' ';
    display:table;
}
.clear:after { clear:both;}

.clear {*zoom:1; clear:both;}

img {max-width:100%;}

a {	color:#212b37;	text-decoration:none;}

a:hover {text-decoration:none;}

a:focus {outline:0;text-decoration:none;}

a:hover, a:active {	outline:0;}

input:focus, textarea:focus, button:focus, .form-control:focus {	outline:0;	 box-shadow: none;}

ul,li {
    list-style-type:none;
    margin:0;
    padding:0;
}

h1,h2,h3,h4,h5,h6 {
    color: #000;
}

/**************\
    TYPOGRAPHY
\**************/

.bg-primary{
    background: var(--primary-color) !important;
}

.bg-lightp{
    background: #cfd0e5;
}

.text-default {
    color: var(--default-text-color)!important
}

.text-muted {
    color: var(--text-muted)!important
}

.text-primary {
    color: var(--primary-color)!important;
    opacity: 1
}

.text-gray{
    color: #7e7e7e;
}

.fs-40    {     font-size: 40px;	line-height: 48px;}
.fs-35    {     font-size: 35px;	line-height: 40px;}
.fs-32    {     font-size: 32px;	line-height: 38px;}
.fs-30    {     font-size: 30px;	line-height: 36px;}
h1        {	    font-size: 50px;	line-height: 58px;}
h2,.fs-28 {	    font-size: 28px;	line-height: 32px;}
h3,.fs-24 { 	font-size: 24px;	line-height: 28px;}
h4,.fs-22 {		font-size: 22px;    line-height: 26px;}
h5,.fs-20 {		font-size: 20px;    line-height: 24px;}
h6,.fs-18 {		font-size: 18px;	line-height: 22px;}
.fs-17    {     font-size: 17px;    line-height:21px;}
.fs-16    {		font-size: 16px;	line-height: 20px;}
.fs-15    {		font-size: 15px;	line-height: 20px;}
.fs-14    {		font-size: 14px;	line-height: 22px;}
.fs-12    {		font-size: 12px;    line-height: 15px;}
.fs-10    {		font-size: 10px;    line-height: 14px;}

.rounded5 {border-radius: 5px;}
.rounded10{border-radius: 10px;}
.rounded15{border-radius: 15px;}
.rounded20{border-radius: 20px;}

.op-1{opacity: .1;}
.op-2{opacity: .2;}
.op-3{opacity: .3;}
.op-4{opacity: .5;}
.op-5{opacity: .5;}
.op-6{opacity: .6;}
.op-7{opacity: .7;}
.op-8{opacity: .8;}
.op-9{opacity: .9;}

.custom-btn{
    display: inline-block;
    padding: 9px 20px;
    background:var(--primary-color);
    font-size: 14px;
    line-height: 18px;
    font-weight: 500;
    transition: all .3s ease-in;
    color: #fff;
	border-radius:8px;
    text-transform: capitalize;
}

.custom-btn2{
    display: inline-block;
    padding: 9px 20px;
    background:#fff;
    font-size: 14px;
    line-height: 18px;
    font-weight: 500;
    transition: all .3s ease-in;
    color: var(--primary-color);
    border: 1px solid var(--primary-color);
	border-radius:8px;
    text-transform: capitalize;
}

.bg-btn , .btn-small{
    font-size: 14px;
    border: 1px solid #24265d;
    color: #ffffff;
    background: #2a2464;
}

.bg-btn:hover, .cancel-btn{
    color: #2a2464;
    background: #ffffff;    
}



/**************\
     HEADER
\**************/

.header{
    background: var(--primary-color);
}

select.head-select {
    background: #cfd0e5;
    border: 0;
    padding: 2px 10px;
    appearance: none;
    border-radius: 3px;
}

select.head-select:focus{
    outline: 0;
}

/**************\
     FOOTER
\**************/

.footer-social a {
    display: inline-block;
    width: 30px;
    height: 30px;
    background: var(--primary-color);
    border-radius: 50%;
    color: #fff;
    text-align: center;
    line-height: 30px;
    transition: all .3s;
}


/**************\
     FORM
\**************/


.form-label {
    font-size: 14px;
    font-weight: 500;
    color: var(--default-text-color);
}

.form-check-input {
    border: 1px solid var(--text-muted) !important;
    width: 18px;
    height: 18px;
    min-width: 18px;
    margin-top: 0;
}

.form-control, .form-select {
    border-color: var(--input-border);
    color: var(--default-text-color);
    background-color: #f8f8ff;
    font-size: .8125rem;
    font-weight: var(--default-font-weight);
    line-height: 1.7;
    border-radius: .25rem;
    padding: 8px 10px;
}

.form-floating>.form-select~label::after{
    display: none;
}

.form-check-input:checked {
    background-color: var(--primary-color);
    border-color: var(--primary-color);
}

.input-group-text {
    border-color: var(--input-border);
    font-size: .875rem;
    border-radius: .25rem;
    background-color:#f1f3f7;
}


.form-check-input:checked {
    background-color: var(--primary-color);
    border-color: var(--primary-color);
}

.daterangepicker td.in-range {
    background-color: #f0f1fb;
 
}

.daterangepicker td.active, .daterangepicker td.active:hover {
    background-color: #24265d;
    border-color: transparent;
    color: #fff;
}


.btn-primary {
    --bs-btn-color: #fff;
    --bs-btn-bg: #24265d;
    --bs-btn-border-color: #24265d;
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: #24265d;
    --bs-btn-hover-border-color: #24265d;
    --bs-btn-focus-shadow-rgb: 49, 132, 253;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: #24265d;
    --bs-btn-active-border-color: #271c70;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #fff;
    --bs-btn-disabled-bg: #212377;
    --bs-btn-disabled-border-color: #373252;
}
/**************\
     PAGES
\**************/

.sidebar-box{
    position: sticky;
    top: 20px
}

.hotel-info a.read-more {
    color: var(--primary-color);
    font-weight: 600;
}

.search-form .custom-btn{
    padding: 12px 25px;
}

.calendar-box {
      display: none;
}

.calendar-box .daterangepicker {
      position: relative !important; /* override absolute */
      top: auto !important;
      left: auto !important;
      right: auto !important;
      display: block !important;
}

.calendar-box > input{
    display: none;
}

.calendar-box .daterangepicker .drp-calendar {
    max-width: 50%;
    min-width: 50%;
}

.amenity-list{
    display: flex;
    flex-wrap: wrap;
    gap: 5px;
    font-size: 12px;
    line-height: 16px;
}

.hotel-slider img{
    height: 250px;
    object-fit: cover;
    border-radius: 5px;
}

.hotel-slider-big img{
    height: 450px;
}


.hotel-slider.owl-theme .owl-nav{
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    width: 100%;
    display: flex;
    justify-content: space-between;
    padding: 0 10px;
}

.hotel-slider.owl-theme .owl-nav button{
    width: 30px;
    height: 30px;
    background: var(--primary-color);
    color: #fff;
    border-radius: 50%;
    line-height: 30px
}

.hotel-item label{
    border-radius: 0 0 var(--bs-border-radius-lg) var(--bs-border-radius-lg) ;
    border-color: #fff !important;
}

.hotel-item input:checked ~ label{
    border: 1px solid var(--primary-color) !important;
}

.count-btn-group button{
    width: 30px;
    height:30px;
    border-radius: 50%;
    line-height: 30px;
    background: var(--primary-color);
    color: #fff;
    border: 0;
    min-width: 30px
}

.count-btn-group .count-number{
    min-width: 50px;
    border: 1px solid #ccc;
    border-radius: 3px;
    padding:0 5px;
    line-height: 30px;
    height: 30px;
    text-align: center;
}

.checkout-room-item .hotel-slider img{
    height: 200px;
}


.accordion-button:not(.collapsed) {
    color: #24265d;
    background-color: #e0e1ff;
    box-shadow: inset 0 calc(-1 * var(--bs-accordion-border-width)) 0 var(--bs-accordion-border-color);
}

.accordion-item {
    border-radius: 5px !important;
    overflow: hidden;
    border: 0 !important;
}

table.table.table-borderless.info-table tr > * {
    background: #f1f3f7;
    padding: 8px;
    border: 1px solid #24265d30;
}

.thankyou-container {
  max-width: 900px;
  margin: 30px auto;
  background: #fff;
  border-radius: 12px;
  box-shadow: 0 4px 12px rgba(0,0,0,0.1);
  padding: 30px;
}

.info-table td {
  padding: 6px 0;
}
.price-table th {
  background: #1c1c5e;
  color: #fff;
}
.price-table td, .price-table th {
  padding: 10px;
  border: 1px solid #ddd;
}
.total-row td {
  font-weight: bold;
  font-size: 16px;
  color: #1c1c5e;
}
.count-btn-group i {
    pointer-events: none;
}

.mobile-booking-bar {
    position: fixed !important;
    bottom: 0 !important;
    left: 0 !important;
    width: 100% !important;
    background: #fff !important;
    color: #fff !important;
    z-index: 999999 !important;
    display: none; !important;
}

.mobile-booking-bar .booking-info {
    max-width: 70%;
}

.mobile-booking-bar .text-truncate {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.room-lock-highlight {
    padding: 15px;
    border-radius: 10px;
    animation: pulseGlow 1.5s infinite;
}

@keyframes pulseGlow {

    0% {
        box-shadow: 0 0 0 rgba(255, 193, 7, 0.4);
        background: #fffdf5;
    }

    50% {
        box-shadow: 0 0 20px rgba(255, 193, 7, 0.9);
        background: #fff3cd;
    }

    100% {
        box-shadow: 0 0 0 rgba(255, 193, 7, 0.4);
        background: #fffdf5;
    }
}